# This defines the CI pipeline for the BuildStream benchmarks project.
#
# Benchmarks need to be run on machines with consistent performance
# characteristics in order to be useful. Our normal CI infrastructure
# is based around virtual machines which are not predicatable enough
# to run benchmarks.
#
# We use the 'benchmarks' tag for runners which are reserved for
# running benchmarks.

stages:
  - checks

# Run pylint
pylint:
  stage: checks
  # We only want to run pylint on shared runners
  tags:
    - shared
  image: python:3.7-stretch
  before_script:
    - "pip3 install -r requirements.txt"
    - "pip3 install pylint"
  script:
    - "find . -path ./contrib -prune -o -name '*.py' -exec pylint --rcfile=.pylintrc {} +"
  when: always
